Create a composition profile request
POST
/v1/dataset-versions/{versionId}/composition-profile-requestscurl -X POST 'https://api.embodiflow.io/v1/dataset-versions/{versionId}/composition-profile-requests' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"itemSetMode": "all",
"trajectorySourceIdentity": "string",
"referenceProfileId": "00000000-0000-0000-0000-000000000000",
"referenceSet": {
"entries": [
{
"profileId": "00000000-0000-0000-0000-000000000000",
"datasetVersionId": "00000000-0000-0000-0000-000000000000",
"selectionId": "00000000-0000-0000-0000-000000000000",
"weight": 0
}
]
}
}'Authorization
Send a personal access token with every request.
- Authorization: Bearer PAT
Path parameters
- versionIdstringrequired
Header parameters
- idempotency-keystringrequired
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
Request body
Content-Typeapplication/json
- itemSetModestringAllowed valuesallacceptedall_and_accepted
- trajectorySourceIdentitystring | null
- referenceProfileIdstring (uuid)
- referenceSetobject | null
- entriesarray<CompositionReferenceSetEntryDto>
Responses
Success
- dataobjectrequired
- scheduledone ofrequired
- workflowRunIdstring | nullrequired
- inputDigeststringrequired
- profileobjectrequired
Response example
{
"data": {
"scheduled": false,
"workflowRunId": "string",
"inputDigest": "string",
"profile": {
"id": "string",
"datasetVersionId": "string",
"projectId": "string",
"datasetId": "string",
"status": "string",
"inputDigest": "string",
"itemSetMode": "accepted",
"computedAt": "string",
"generatorVersion": "string",
"hasDrift": false,
"labelCoverageEpisodeFraction": 0,
"trajectorySourceKind": "imu",
"actionStatisticsStatus": "string",
"referenceName": "string",
"workflowRunId": "string"
}
}
}Servershttps://api.embodiflow.io/v1https://api.embodiflow.dev/v1